From 847a06a3a0546a14f07654ff79da4039c5c7cc34 Mon Sep 17 00:00:00 2001
From: Nazir Bilal Yavuz <byavuz81@gmail.com>
Date: Thu, 7 Sep 2023 13:33:46 +0300
Subject: [PATCH v1] Update the reasons of tests not running by default on docs

With f47ed79cc8, test suite doesn't run 'wal_consistency_checking' as
default because it is resource intensive. However, regress
documentation only states 'not secure to run on a multiuser system'
or 'requiring special software' as a reason to not run the tests
by default. Therefore, update the docs by adding 'resource intensive'
as a reason to not run tests by default.
---
 doc/src/sgml/regress.sgml | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/doc/src/sgml/regress.sgml b/doc/src/sgml/regress.sgml
index de065c0564a..69f627d7f43 100644
--- a/doc/src/sgml/regress.sgml
+++ b/doc/src/sgml/regress.sgml
@@ -253,11 +253,11 @@ make check-world -j8 >/dev/null
 
   <para>
    Some test suites are not run by default, either because they are not secure
-   to run on a multiuser system or because they require special software.  You
-   can decide which test suites to run additionally by setting the
-   <command>make</command> or environment variable
-   <varname>PG_TEST_EXTRA</varname> to a whitespace-separated list, for
-   example:
+   to run on a multiuser system, because they require special software or
+   because they are resource intensive.  You can decide which test suites to
+   run additionally by setting the <command>make</command> or environment
+   variable <varname>PG_TEST_EXTRA</varname> to a whitespace-separated list,
+   for example:
 <programlisting>
 make check-world PG_TEST_EXTRA='kerberos ldap ssl load_balance'
 </programlisting>
-- 
2.40.1

